From: Lars Hjemli <hjemli@gmail.com>
To: git@vger.kernel.org
Cc: Junio C Hamano <gitster@pobox.com>
Subject: [PATCH 2/5] Fix setup of $GIT_DIR in git-sh-setup.sh
Date: Sun, 17 Feb 2008 23:14:13 +0100 [thread overview]
Message-ID: <1203286456-26033-3-git-send-email-hjemli@gmail.com> (raw)
In-Reply-To: <1203286456-26033-2-git-send-email-hjemli@gmail.com>
Since .git can be a file refering to the real GIT_DIR, git-sh-setup needs
to use 'git rev-parse --git-dir' to obtain the location of the git
repository.
Signed-off-by: Lars Hjemli <hjemli@gmail.com>
---
git-sh-setup.sh | 12 +++++-------
1 files changed, 5 insertions(+), 7 deletions(-)
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index f388275..a7dbce2 100755
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
@@ -127,20 +127,18 @@ get_author_ident_from_commit () {
# if we require to be in a git repository.
if test -z "$NONGIT_OK"
then
+ GIT_DIR=$(git rev-parse --git-dir) || {
+ exit=$?
+ echo >&2 "Failed to find a valid git directory."
+ exit $exit
+ }
if [ -z "$SUBDIRECTORY_OK" ]
then
- : ${GIT_DIR=.git}
test -z "$(git rev-parse --show-cdup)" || {
exit=$?
echo >&2 "You need to run this command from the toplevel of the working tree."
exit $exit
}
- else
- GIT_DIR=$(git rev-parse --git-dir) || {
- exit=$?
- echo >&2 "Failed to find a valid git directory."
- exit $exit
- }
fi
test -n "$GIT_DIR" && GIT_DIR=$(cd "$GIT_DIR" && pwd) || {
echo >&2 "Unable to determine absolute path of git directory"
--
1.5.4.1.188.gdfa6c
next prev parent reply other threads:[~2008-02-17 22:17 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2008-02-17 22:14 Intoducing the .git file (again) Lars Hjemli
2008-02-17 22:14 ` [PATCH 1/5] Add platform-independent .git "symlink" Lars Hjemli
2008-02-17 22:14 ` Lars Hjemli [this message]
2008-02-17 22:14 ` [PATCH 3/5] Teach resolve_gitlink_ref() about the .git file Lars Hjemli
2008-02-17 22:14 ` [PATCH 4/5] git-submodule: prepare for the .git-file Lars Hjemli
2008-02-17 22:14 ` [PATCH 5/5] Teach GIT-VERSION-GEN about the .git file Lars Hjemli
2008-02-18 5:44 ` [PATCH 2/5] Fix setup of $GIT_DIR in git-sh-setup.sh Junio C Hamano
2008-02-18 8:41 ` Lars Hjemli
2008-02-17 22:25 ` [PATCH 1/5] Add platform-independent .git "symlink" Johannes Schindelin
2008-02-17 22:37 ` Lars Hjemli
2008-02-17 22:50 ` Lars Hjemli
2008-02-18 5:43 ` Junio C Hamano
2008-02-18 8:35 ` Lars Hjemli
2008-02-18 11:45 ` Johannes Schindelin
2008-02-17 22:20 ` Intoducing the .git file (again) Johannes Schindelin
2008-02-17 22:29 ` Lars Hjemli
2008-02-17 23:27 ` Johannes Schindelin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1203286456-26033-3-git-send-email-hjemli@gmail.com \
--to=hjemli@gmail.com \
--cc=git@vger.kernel.org \
--cc=gitster@pobox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.